libgee-0.8 (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Fix-default-value-of-enable-consistency-check-fixes-.patch, merged
    upstream.
  * Mark dev and dbg package as Multi-Arch: same.
  * Update outdated gbp section names in debian/gbp.conf.

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Jun 2015 14:08:58 +0200

libgee-0.8 (0.16.1-2) unstable; urgency=medium

  * Fix default value of --enable-consistency-check, otherwise a very
    expensive debug option is turned on by default and would make a lot of
    applications unusably slow. Patch cherry-picked from upstream Git.
  * Fix the removal of the vala.stamp files so the C sources are regenerated.
  * Add missing geeutils.vapi. This file is missing in the tarball but is
    required if we want to rebuild the C source files.
  * Drop gee_tree_set_check from symbols file. This symbol was exported by
    accident due to the wrong default value of --enable-consistency-check. It
    doesn't appear to be used by other applications, so it should be safe to
    remove.
  * Add myself to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Jun 2015 13:35:15 +0200

libgee-0.8 (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Oct 2014 20:38:56 +0200

libgee-0.8 (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump minimum required version of valac to (>= 0.25.1) as per configure.ac.
  * Update symbols file. A lot of internal symbols were dropped due to the
    usage of Vala's new --hide-internal feature.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Oct 2014 22:46:58 +0200

libgee-0.8 (0.14.0-3) unstable; urgency=medium

  * Install typelib files into MA libdir and mark gi package as M-A: same.

 -- Iain Lane <laney@debian.org>  Thu, 25 Sep 2014 13:18:59 +0100

libgee-0.8 (0.14.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * Use dh-autoreconf to fix new architectures (ppc64el) (Closes: #757110)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 24 Aug 2014 08:18:39 -0700

libgee-0.8 (0.14.0-1) unstable; urgency=medium

  * Team upload.

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #715383.
  * debian/control:
    + Bump valac and libglib2.0-dev build dependencies.
    + Update the package descriptions. Thanks to Dominique Lasserre for
      the patch.
    + Bump Standards-Version to 3.9.5, no changes needed.
    + Update the homepage.
    + Fix gir1.2-gee-0.8 short description, thanks to Niklas Cathor.
      Closes: #753443.
  * debian/libgee-0.8-2.symbols:
    + Add new symbols.
    + gee_hazard_pointer_get_destroy_notify is gone, but from a Vala POV
      that's just an API break but not an ABI break, and nothing seems to
      use it in Debian, so we should be fine.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Jul 2014 12:43:21 +0200

libgee-0.8 (0.10.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Sep 2013 22:43:58 +0200

libgee-0.8 (0.10.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Jul 2013 02:11:17 +0200

libgee-0.8 (0.10.1-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Team upload.
  * Imported Upstream version 0.10.1
  * Update symbols file, multiple added and two missing.

  [ Michael Biebl ]
  * Rename the source package to libgee-0.8 so it can co-exist with 0.6.
  * Build-Depend on valac (>= 0.18) instead of valac-0.18.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.32).
  * Bump Standards-Version to 3.9.4. No further changes.
  * Drop the shlibs version and simply use -V instead as we are using symbols
    files and the existing version was outdated anyway.
    Fix the regex to get the library package name while at it.
  * Don't hard code the valac version in debian/rules.
  * The targeted glib version is set in configure via GLIB_REQUIRED. Don't
    override that in debian/rules.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 May 2013 02:42:43 +0200

libgee (0.8.4-1) experimental; urgency=low

  * New upstream release
  * Add myself to uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 28 Feb 2013 20:25:25 +0100

libgee (0.8.3-1) experimental; urgency=low

  * Team upload. (Closes: #695982)
  * Imported Upstream version 0.8.3
  * Build with valac-0.18
  * Rename packages to match new libgee-0.8 library name
  * Update symbols for new library name

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Jan 2013 14:37:08 +0100

libgee (0.6.4-2) unstable; urgency=low

  * Team upload.
  * Build with valac-0.16.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2012 22:13:07 +0200

libgee (0.6.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * debian/control: Change section of gir1.2-gee-1.0 to introspection.
  * debian/patches/01_priority-queue-second-element-addition.patch: Removed,
    merged upstream.
  * debian/gbp.conf: Change compression to xz.
  * Build with valac-0.14.
  * Bump Standards-Version to 3.9.3.
  * Convert to multiarch.

 -- Michael Biebl <biebl@debian.org>  Fri, 09 Mar 2012 13:04:16 +0100

libgee (0.6.1-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control,
    debian/libgee-dev.install,
    debian/gir1.2-gee-1.0.install:
    + Add GIR support. (Closes: #624565)
  * debian/gbp.conf:
    + Added with branch information for git-buildpackage.

  [ Sjoerd Simons ]
  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 30 Aug 2011 22:04:07 +0100

libgee (0.6.1-2) unstable; urgency=low

  * debian/patches/01_priority-queue-second-element-addition.patch:
    + Fix addition of the second element to a priority queue.
      Patch taken from upstream GIT.
  * debian/rules,
    debian/libgee2.symbols:
    + Add symbol file and proper shlibs versioning.
  * debian/control.in,
    debian/rules:
    + Build with valac-0.12.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 10 Apr 2011 11:53:11 +0200

libgee (0.6.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 13 Mar 2011 13:33:55 +0100

libgee (0.6.0-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 27 Sep 2010 09:10:10 +0200

libgee (0.5.3-1) experimental; urgency=low

  * New upstream release.
  * debian/control,
    debian/rules:
    + Use Vala 0.9 for compilation.
    + Build everything with GLib 2.24 features.
  * debian/rules:
    + Fix name of the tests stamp file.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Sep 2010 15:12:45 +0200

libgee (0.5.2-1) unstable; urgency=low

  * New upstream release:
    + debian/libgee-dev.install:
      - Don't ship GIR file for now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 Aug 2010 08:55:37 +0200

libgee (0.5.1-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_timsort-references.patch,
      debian/patches/02_vala-0.8.0-buildfix.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Require valac >= 0.8.1-2 for an important bugfix.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 06:35:49 +0200

libgee (0.5.0-4) unstable; urgency=low

  * debian/control,
    debian/compat:
    + Update to debhelper compat level 7.
  * debian/rules,
    debian/control:
    + Target GLib 2.22.
  * debian/control,
    debian/patches/02_vala-0.8.0-buildfix.patch:
    + Fix build with Vala 0.8.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Apr 2010 09:07:04 +0200

libgee (0.5.0-3) unstable; urgency=low

  * debian/patches/01_timsort-references.patch:
    + Fix from upstream GIT to fix references of counted items.
  * debian/source/format,
    debian/rules,
    debian/patches/series:
    + Update to source format 3.0 (quilt).
  * debian/compat:
    + Update to debhelper compat level 6.
  * debian/control:
    + Update to Standards-Version 3.8.4.
    + Update Homepage.
  * debian/rules:
    + Make testsuite failures fail the build.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 13 Feb 2010 10:48:24 +0100

libgee (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Require valac >= 0.7.7 to fix FTBFS. libgee doesn't build
      with earlier versions because of valac bugs.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Sep 2009 16:20:52 +0200

libgee (0.5.0-1) unstable; urgency=low

  * New upstream release:
    + Use correct default hash/equal/copy functions for string
      hashmaps and other containers (Closes: #543249).
    + debian/control,
      debian/libgee[12].install:
      - Update for the new so version.
    + debian/copyright:
      - Updated.
  * debian/rules:
    + Also regenerate the generated C sources for the tests.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Sep 2009 09:37:27 +0200

libgee (0.3.0-2) unstable; urgency=low

  * debian/control:
    + Update Standards-Version.
  * debian/rules,
    debian/control:
    + Update GLib dependencies.
    + Always use valac to build the C sources from the Vala sources
      and set a target GLib version. This gives additional features
      like thread-safe type registration.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Sep 2009 13:01:50 +0200

libgee (0.3.0-1) unstable; urgency=low

  * New upstream release:
    + debian/*.install,
      debian/control:
      - Update for the new soname version.
    + debian/copyright:
      - Update.
  * debian/control:
    + Update Standards-Version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Aug 2009 16:10:53 +0200

libgee (0.1.5-1) unstable; urgency=low

  * New upstream release.
  
  [ Ross Burton ]
  * debian/control: move -dbg to debug section

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Sun, 22 Feb 2009 23:18:20 +0200

libgee (0.1.4-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Update Standards-Version.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Feb 2009 15:37:43 +0100

libgee (0.1.4-1) experimental; urgency=low

  * New upstream release.
  * Add -dbg package.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Mon, 03 Nov 2008 01:29:50 +0200

libgee (0.1.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control,
    debian/patches/01_disable-tests.patch,
    debian/patches/02_am-maintainer-mode.patch,
    debian/patches/99_autoreconf.patch:
    + Build depend on GLib 2.16 and drop old patches.
  * debian/rules:
    + Run unit test suite but don't fail the build on errors.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 May 2008 09:41:11 +0200

libgee (0.1.2-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_disable-tests.patch:
      - Disable compiling the tests, this needs GLib >= 2.15.X.
    + debian/patches/02_am-maintainer-mode.patch:
      - Enable maintainer mode to allow easier patching of autotools generated
        files.
    + debian/patches/99_autoreconf.patch:
      - Regenerated autotools generated files for the above changes.
  * debian/control:
    + Build depend on autotools-dev.
    + Let the -dev package depend on libglib2.0-dev (>= 2.10.0).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Mar 2008 11:17:48 +0100

libgee (0.1.1-1) unstable; urgency=low

  * Initial version (Closes: #462093).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 15:56:52 +0100

